## vmware-manager 0.1.1

=== Makefile ===
VERSION := $(shell perl -MExtUtils::MakeMaker -le 'print MM->parse_version(shift)' vmm)
DEBFACTORY := DebFactory

README: vmm
	pod2text vmm >README
	git add README
	git commit -m 'Auto update from POD'

commit: README
	-git commit -a

push: commit
	git push

version:
	echo "VERSION IS $(VERSION)"

clean:
	-rm -r $(DEBFACTORY)

deb:
	mkdir $(DEBFACTORY)
	mkdir -p $(DEBFACTORY)/usr/bin $(DEBFACTORY)/usr/share/man $(DEBFACTORY)/usr/share/doc/vmm
	cp -a vmm $(DEBFACTORY)/usr/bin
	cp -a docs/vmmrc.example $(DEBFACTORY)/usr/share/doc/vmm
	cp -ar Distro/DEBIAN $(DEBFACTORY)
	perl -pi -e 's/\$$VERSION/$(VERSION)/' $(DEBFACTORY)/DEBIAN/control
	pod2man vmm $(DEBFACTORY)/usr/share/man/vmm.1
	gzip -f $(DEBFACTORY)/usr/share/man/vmm.1
	dpkg -b $(DEBFACTORY) vmm_$(VERSION).deb
	mv vmm_$(VERSION).deb Distro
	make clean

## vmware-manager 0.2.0

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,15 @@
 VERSION := $(shell perl -MExtUtils::MakeMaker -le 'print MM->parse_version(shift)' vmm)
 DEBFACTORY := DebFactory
 
-README: vmm
-	pod2text vmm >README
-	git add README
+.PHONY: README.md
+
+README.md: vmm
+	pod2text vmm | perl -e '$$_=join("",<>); s/(.*<!-- POD -->).*(<!-- END POD -->.*)/"$$1\n" . join("", <STDIN>) . $$2/es; print;' README.md >README.md.tmp
+	mv README.md.tmp README.md
+	git add README.md
 	git commit -m 'Auto update from POD'
 
-commit: README
+commit: README.md
 	-git commit -a
 
 push: commit

=== debian/changelog ===
vmware-manager (0.2.0-4) unstable; urgency=medium

  * removed dubious my $_ constructs (closes: #955389)
  * lifted standards version and debhelper compat level

 -- Alexander Zangerl <az@debian.org>  Sun, 05 Apr 2020 11:09:52 +1000

vmware-manager (0.2.0-3) unstable; urgency=high

  * updated fix from previous revision for a less messy
    source archive. this should finally clear the RC bug (#680481)
    and get the package into wheezy.

 -- Alexander Zangerl <az@debian.org>  Sun, 19 Aug 2012 11:37:35 +1000

vmware-manager (0.2.0-2) unstable; urgency=low

  * renamed vmm program to vwm to avoid file clash
    with vmm package (closes: #680481)

 -- Alexander Zangerl <az@debian.org>  Sun, 08 Jul 2012 19:41:16 +1000

vmware-manager (0.2.0-1) unstable; urgency=low

  * new upstream version
  * lifted standards version
  * lowered priority to extra as some perl prerequisites are of that
    priority

 -- Alexander Zangerl <az@debian.org>  Mon, 14 May 2012 12:33:43 +1000

vmware-manager (0.1.1-2) unstable; urgency=low

  * fixed wrong architecture line (closes: #632760)

 -- Alexander Zangerl <az@debian.org>  Thu, 07 Jul 2011 18:50:09 +1000

vmware-manager (0.1.1-1) unstable; urgency=low

  * initial upload (closes: #617630)
  
 -- Alexander Zangerl <az@debian.org>  Fri, 01 Jul 2011 12:21:35 +1000

=== debian/control ===
Source: vmware-manager
Section: contrib/admin
Priority: extra
Maintainer: Alexander Zangerl <az@debian.org>
Build-Depends: perl (>= 5.10.0), debhelper (>= 10.0.0)
Standards-Version: 3.9.8
Homepage: https://github.com/hash-bang/VMM

Package: vmware-manager
Architecture: all
Depends: perl (>= 5.10.0), libconfig-inifiles-perl, libnumber-format-perl, 
	 libterm-readkey-perl, libtext-glob-perl, ${misc:Depends}, libdata-dump-perl, ${perl:Depends}
Description: utility to manage VMware virtual machines
 This package provides vwm, a command-line tool for managing VMware 
 virtual machines. This is primarily useful for larger installations 
 where virtuals need to be migrated, cloned or otherwise modified 
 from the command line.
 .
 vwm requires the non-free VMware Vsphere Perl SDK to be installed.

=== debian/rules ===
#!/usr/bin/make -f
# GNU copyright 1997 to 1999 by Joey Hess.

PACKAGE=$(shell dh_listpackages)
TMP=$(CURDIR)/debian/$(PACKAGE)

build: build-stamp

build-arch: build
build-indep: build

build-stamp:
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	rm -rf $(TMP)
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep

	# vmm makefile isn't useful
	dh_installdirs usr/bin usr/share/man/man1 usr/share/doc/vmware-manager
	dh_install --sourcedir=.	
	# dh_install can't rename vmm->vwm
	install -m 755 vmm $(TMP)/usr/bin/vwm
	pod2text vmm $(TMP)/usr/share/doc/vmware-manager/README
	pod2man vmm $(TMP)/usr/share/man/man1/vwm.1


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs -n
	dh_installchangelogs 
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_perl
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch:

binary: binary-indep
.PHONY: build clean binary-indep binary install configure
